package com.hgsoft.selfclse.timing.business.utils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.UUID;
import org.apache.commons.lang.exception.ExceptionUtils;
import org.apache.http.HttpResponse;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class HttpClientUtil {

   private static final Logger logger = LoggerFactory.getLogger(HttpClientUtil.class);


   public static String doPost(String url, Map params) {
      String result = "";
      CloseableHttpClient httpClient = HttpClientBuilder.create().build();
      HttpPost httpPost = new HttpPost(url);

      try {
         if(params != null && !params.isEmpty()) {
            ArrayList e = new ArrayList();
            BasicNameValuePair pair = null;
            Iterator var8 = params.keySet().iterator();

            while(var8.hasNext()) {
               String entity = (String)var8.next();
               pair = new BasicNameValuePair(entity, (String)params.get(entity));
               e.add(pair);
            }

            UrlEncodedFormEntity entity1 = new UrlEncodedFormEntity(e);
            httpPost.setEntity(entity1);
         }

         HttpResponse e1 = httpClient.execute(httpPost);
         logger.info("response.getStatusLine().getStatusCode()：>>>" + e1.getStatusLine().getStatusCode());
         result = EntityUtils.toString(e1.getEntity(), "utf-8");
         logger.info("返回数据：>>>" + result);
      } catch (Exception var12) {
         logger.error("请求失败");
         logger.error(ExceptionUtils.getStackTrace(var12));
         var12.printStackTrace();
      } finally {
         if(httpPost != null) {
            httpPost.releaseConnection();
         }

      }

      return result;
   }

   public static void main(String[] args) {
      HashMap map = new HashMap();
      map.put("id", UUID.randomUUID().toString());
      String post = doPost("http://localhost:8080/mundo/test", map);
      System.out.println("post调用成功，返回数据是：" + post);
   }
}
